WEBCAMD(8)

NAME
webcamd - daemon to provide access to USB webcam and DVB devices

SYNOPSIS
webcamd [-d [ugen]<unit>.<addr>] [-i <interface number>] [-v <video device number>] [-m <parameter>=<value>] [-B]

DESCRIPTION
webcamd is a daemon that enables the use of hundreds of different USB webcam and DVB devices under the FreeBSD operating system. The webcam daemon is basically a port of Linux USB device drivers into userspace on FreeBSD.

webcamd requires the cuse4bsd(3) kernel module. To load the driver as a module at boot time, place the following line in loader.conf(5):

cuse4bsd_load="YES"

To start webcamd automatically at system startup, place the following line in rc.conf(5):

webcamd_enable="YES"

Once webcamd is running, supported USB web cameras and DVB devices will be available for use by other applications.

The following options are available:

-B  Run the daemon in background mode.

-d  Specify the <unit>.<addr> of the USB device to use.

-f  If the device requires a firmware file, specify the path to the firmware. The default firmware path is /boot/modules.

-h  Print help text showing available options.

-H  Register device by HAL daemon.

-m  Specify the value of a parameter. Note that escaping is not supported for strings.

-i  Specify the interface number to use.

-r  Do not set realtime priority.

-s  Show available parameters.

-v  Specify the video device number.

EXAMPLES
With the USB device connected, determine the [ugen]<unit>.<addr> values using usbconfig(8):

    usbconfig
    ugen7.2: <product 0x0991 vendor 0x046d> at usbus7, cfg=0 md=HOST spd=HIGH (480Mbps) pwr=ON

FILES
/usr/local/etc/devd/webcamd.conf
/usr/local/etc/rc.d/webcamd
/var/run/webcamd.*.0.pid

SEE ALSO
a800(4), af9005(4), af9015(4), anysee(4), au0828(4), au6610(4), b2c2(4), benq(4), ce6230(4), cinergy(4), conex(4), cpiax(4), cxusb(4), dib0700(4), digitv(4), dtt200u(4), dtv5100(4), dw2102(4), ec168(4), em28xx(4), et61x251(4), finepix(4), friio(4), gl860(4), gl861(4), gp8psk(4), hdpvr(4), ibmcam(4), jeilinj(4), m5602(4), m920x(4), mars(4), mr800(4), mr97310a(4), nova-t(4), opera1(4), ov519(4), ov534(4), pacxxx(4), pvrusb2(4), pwc(4), s2255(4), se401(4), siano(4), sn9c102(4), sn9c20x(4), sonixj(4), spca5xx(4), sq905c(4), stk014(4), stv06xx(4), sunplus(4), t613(4), ttusb2(4), tv8532(4), umt(4), usbvision(4), uvc(4), vc032x(4), vp702x(4), vp7045(4), zc3xx(4), zr364xx(4)

AUTHORS
webcamd was written by Hans Petter Selasky hselasky@freebsd.org. This man page was written by Dru Lavigne dru@freebsd.org.